- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 8801cef8-7632-4eb4-9aeb-191b2c5d00f8
    creation_time: 2023-02-17T13:44:51.145223Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark02_linear.c
      input_file_hashes:
        c/loop-zilu/benchmark02_linear.c: c2949f5ad2551a2aeb85c19bbf445f95c9c01300548babb6b1409de0a58ed81c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark02_linear.c
    file_hash: c2949f5ad2551a2aeb85c19bbf445f95c9c01300548babb6b1409de0a58ed81c
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: l > 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c6082de7-33df-4a32-a039-ccc03a944377
    creation_time: 2023-02-17T13:44:51.145608Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark02_linear.c
      input_file_hashes:
        c/loop-zilu/benchmark02_linear.c: c2949f5ad2551a2aeb85c19bbf445f95c9c01300548babb6b1409de0a58ed81c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark02_linear.c
    file_hash: c2949f5ad2551a2aeb85c19bbf445f95c9c01300548babb6b1409de0a58ed81c
    line: 34
    column: 0
    function: main
  location_invariant:
    string: l >= 1
    type: assertion
    format: C

